<?php

namespace App\Controller;

use App\Entity\Site;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Attribute\Route;
use Symfony\Bridge\Doctrine\Attribute\MapEntity;

class SiteController extends AbstractController
{
    #[Route('/', name: 'app_home')]
    public function root(): JsonResponse
    {
        return $this->json([
            'message' => 'Path not found',
            'status' => 404
        ], 404);
    }

    #[Route('/site/{gisId<\w+>}', name: 'app_site')]
    public function index(
        #[MapEntity(mapping: ['gisId' => 'gisId'])]
        Site $site
    ): JsonResponse
    {
        return $this->json([
            'message' => 'Request successful',
            'site' => $site,
        ]);
    }
}
